Announcement

Collapse
No announcement yet.

problems after upgrading from 4.2.1 to 4.2.2

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • [Forum] problems after upgrading from 4.2.1 to 4.2.2

    this is what i get, after the whole page also goes gibbrish :


    Warning: date() [function.date]: It is not safe to rely on the system's timezone settings. Please use the date.timezone setting, the TZ environment variable or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Europe/Berlin' for 'CEST/2.0/DST' instead in ..../includes/functions.php on line 4912

    Warning: date() [function.date]: It is not safe to rely on the system's timezone settings. Please use the date.timezone setting, the TZ environment variable or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Europe/Berlin' for 'CEST/2.0/DST' instead in ..../includes/functions.php on line 5104

    Warning: date() [function.date]: It is not safe to rely on the system's timezone settings. Please use the date.timezone setting, the TZ environment variable or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Europe/Berlin' for 'CEST/2.0/DST' instead in ..../includes/functions.php on line 5104

    Warning: date() [function.date]: It is not safe to rely on the system's timezone settings. Please use the date.timezone setting, the TZ environment variable or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Europe/Berlin' for 'CEST/2.0/DST' instead in ..../includes/functions.php on line 5104

    Warning: Only variables should be assigned by reference in ..../includes/class_bootstrap.php(909) : eval()'d code on line 4

    Warning: date() [function.date]: It is not safe to rely on the system's timezone settings. Please use the date.timezone setting, the TZ environment variable or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Europe/Berlin' for 'CEST/2.0/DST' instead in ..../includes/functions.php on line 5104

    Warning: date() [function.date]: It is not safe to rely on the system's timezone settings. Please use the date.timezone setting, the TZ environment variable or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Europe/Berlin' for 'CEST/2.0/DST' instead in ..../includes/functions.php on line 5104

    Warning: date() [function.date]: It is not safe to rely on the system's timezone settings. Please use the date.timezone setting, the TZ environment variable or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Europe/Berlin' for 'CEST/2.0/DST' instead in ..../includes/functions.php on line 5104

    Warning: date() [function.date]: It is not safe to rely on the system's timezone settings. Please use the date.timezone setting, the TZ environment variable or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Europe/Berlin' for 'CEST/2.0/DST' instead in ..../includes/functions.php on line 5038

    Warning: date() [function.date]: It is not safe to rely on the system's timezone settings. Please use the date.timezone setting, the TZ environment variable or the date_default_timezone_set() function. In case you used any of those methods and you are still getting this warning, you most likely misspelled the timezone identifier. We selected 'Europe/Berlin' for 'CEST/2.0/DST' instead in ..../includes/functions.php on line 5104

    im using php 5.2.17
    בגרות במתמטיקה | פתרונות לספרי לימוד

  • #2
    I'm getting the same error.

    PHP version 5.2.9

    Any ideas?

    Comment


    • #3
      Just added this to the top of the php.ini file and all is okay now:-
      date.timezone="Europe/London"

      Comment


      • #4
        Originally posted by Bat21 View Post
        Just added this to the top of the php.ini file and all is okay now:-
        date.timezone="Europe/London"
        what about the error :

        Warning: Only variables should be assigned by reference in ..../includes/class_bootstrap.php(909) : eval()'d code on line 4

        its still showing..
        בגרות במתמטיקה | פתרונות לספרי לימוד

        Comment


        • #5
          i also get in some pages :

          Warning: Non-static method vBSEO_Storage:ath() should not be called statically in ..../vbseo/includes/functions_vbseo_pre.php on line 387

          Warning: Only variables should be assigned by reference in ..../includes/class_bootstrap.php(909) : eval()'d code on line 4

          Warning: Non-static method vBSEO_Storage:ath() should not be called statically in ..../vbseo/includes/functions_vbseo_pre.php on line 387

          Warning: Non-static method vBSEO_Storage:ath() should not be called statically in ..../vbseo/includes/functions_vbseo_db.php on line 51

          Warning: Non-static method vBSEO_Storage:ath() should not be called statically in ..../vbseo/includes/functions_vbseo_seo.php on line 337

          and everything went gibbrish... after changing back all files in includes folder( with files of vb4.2.1) i get no errors at all.
          בגרות במתמטיקה | פתרונות לספרי לימוד

          Comment


          • #6
            Upgrading PHP to 5.3. should help
            Simple Straight Forward EU cPanel vBulletin Web Hosting Provider.

            Comment


            • #7
              are you sure ?

              someone has any other suggestions ? cuz vbulletin should support php 5.2 ( i`m not talking about the vbseo errors.. )
              בגרות במתמטיקה | פתרונות לספרי לימוד

              Comment

              Working...
              X